async def user_exists(conn, user_id, guild_id):
    cur = conn.cursor()

    cur.execute("SELECT user_id FROM member WHERE user_id=%s AND guild_id=%s", (user_id, guild_id))
    result = cur.fetchone()

    cur.close()

    return result != None


async def guild_exists(conn, guild_id):
    cur = conn.cursor()

    cur.execute("SELECT guild_id FROM guild WHERE guild_id=%s", (guild_id,))
    result = cur.fetchone()

    cur.close()

    return result != None

async def insert_poll(conn, poll_id, guild_id, question):
    cur = conn.cursor()

    cur.execute(
        "INSERT INTO "
        "poll (poll_id, guild_id, question, opened) "
        "VALUES (%s, %s, %s, true)",
        (poll_id, guild_id, question)
    )

    conn.commit()
    cur.close()

async def insert_guild(conn, guild_id):
    cur = conn.cursor()
    cur.execute(
        "INSERT INTO "
        "guild (guild_id) "
        "VALUES (%s)",
        (guild_id,)
    )

    conn.commit()
    cur.close()


async def insert_user(conn, user_id, guild_id, global_name, avatar):
    cur = conn.cursor()

    cur.execute(
        "INSERT INTO "
        "member (user_id, guild_id, global_name, avatar) "
        "VALUES (%s, %s, %s, %s)",
        (user_id, guild_id, global_name, avatar)
    )

    conn.commit()
    cur.close()
